import { defaultLocale } from '../../util/localization';
import withSession from '../../util/session';

export default withSession(async (req, res) => {
  const enableDark = req.session.get('enable-dark') || false;
  const locale = req.session.get('locale') || defaultLocale;

  res.setHeader('cache-control', 'public, max-age=0, must-revalidate');

  res.json({
    enableDark,
    locale,
  });
});
